Skip to main content
GET
/
api
/
intelligence
/
v1
/
compute-energy-shock
ComputeEnergyShockScenario
curl --request GET \
  --url https://api.example.com/api/intelligence/v1/compute-energy-shock
{
  "countryCode": "<string>",
  "chokepointId": "<string>",
  "disruptionPct": 123,
  "gulfCrudeShare": 123,
  "crudeLossKbd": 123,
  "products": [
    {
      "product": "<string>",
      "outputLossKbd": 123,
      "demandKbd": 123,
      "deficitPct": 123
    }
  ],
  "effectiveCoverDays": 123,
  "assessment": "<string>",
  "dataAvailable": true,
  "jodiOilCoverage": true,
  "comtradeCoverage": true,
  "ieaStocksCoverage": true,
  "portwatchCoverage": true,
  "coverageLevel": "<string>",
  "limitations": [
    "<string>"
  ],
  "degraded": true,
  "chokepointConfidence": "<string>",
  "liveFlowRatio": 123,
  "gasImpact": {
    "lngShareOfImports": 123,
    "lngImportsTj": 123,
    "lngDisruptionTj": 123,
    "totalDemandTj": 123,
    "deficitPct": 123,
    "dataAvailable": true,
    "assessment": "<string>",
    "storage": {
      "fillPct": 123,
      "gasTwh": 123,
      "bufferDays": 123,
      "trend": "<string>",
      "date": "<string>",
      "scope": "<string>"
    },
    "dataSource": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://worldmonitor.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

country_code
string
chokepoint_id
string
disruption_pct
integer<int32>
fuel_mode
string

Response

Successful response

countryCode
string
chokepointId
string
disruptionPct
integer<int32>
gulfCrudeShare
number<double>
crudeLossKbd
number<double>
products
object[]
effectiveCoverDays
integer<int32>
assessment
string
dataAvailable
boolean
jodiOilCoverage
boolean

v2 fields

comtradeCoverage
boolean
ieaStocksCoverage
boolean
portwatchCoverage
boolean
coverageLevel
string
limitations
string[]
degraded
boolean
chokepointConfidence
string
liveFlowRatio
number<double>
gasImpact
object